=== debian/control ===
Source: bsdiff
Section: utils
Priority: optional
Maintainer: tony mancill <tmancill@debian.org>
Build-Depends: debhelper-compat (= 13), libbz2-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/debian/bsdiff
Vcs-Git: https://salsa.debian.org/debian/bsdiff.git
Homepage: https://www.daemonology.net/bsdiff
Rules-Requires-Root: no

Package: bsdiff
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: bspatch
Description: generate/apply a patch between two binary files
 bsdiff and bspatch are tools for building and applying patches to binary files.
 By using suffix sorting (specifically, Larsson and Sadakane's qsufsort) and
 taking advantage of how executable files change, bsdiff routinely produces
 binary patches 50-80% smaller than those produced by Xdelta, and 15% smaller
 than those produced by .RTPatch (a commercial patch tool).
