=== debian/tests/control ===
Tests: run-unit-test
Depends: @, coreutils
Restrictions: allow-stderr
