=== debian/watch ===
version=4
# <Webpage URL> <string match> [Version  [Action]]

https://www.daemonology.net/bsdiff/ bsdiff-(.+)\.tar\.gz
